i need to have all of these